plugins {
    // apply the java-library plugin to add support for Java Library
    `java-library`
}

dependencies {
    // use retrofit
    val retrofitVersion = "2.6.2"
    implementation("com.squareup.retrofit2:retrofit:$retrofitVersion")
    implementation("com.squareup.retrofit2:converter-gson:$retrofitVersion")

    // mock server response
    testImplementation("com.squareup.okhttp3:mockwebserver:4.2.1")
    // use JUnit test framework
    testImplementation("junit:junit:4.12")
}
