package it.unisannio.ding.ids.wedroid.wrapper.entity;

import com.google.gson.annotations.SerializedName;

import java.util.Date;
import java.util.List;

public class Checklist {
    @SerializedName("_id")
    private String id;
    private String cardId;
    private String title;
    private List<ChecklistItem> items;
    private Date finishedAt;
    private Date createdAt;
    private Date modifiedAt;
    private int sort;

    public String getId() {
        return id;
    }

    public String getCardId() {
        return cardId;
    }

    public String getTitle() {
        return title;
    }

    public List<ChecklistItem> getItems() {
        return items;
    }

    public Date getFinishedAt() {
        return finishedAt;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Date getModifiedAt() {
        return modifiedAt;
    }

    public int getSort() {
        return sort;
    }

    @Override
    public String toString() {
        return "Checklist{" +
                "id='" + id + '\'' +
                ", cardId='" + cardId + '\'' +
                ", title='" + title + '\'' +
                ", items=" + items +
                ", finishedAt=" + finishedAt +
                ", createdAt=" + createdAt +
                ", modifiedAt=" + modifiedAt +
                ", sort=" + sort +
                '}';
    }
}
