package it.unisannio.ding.ids.wedroid.wrapper.entity;

import com.google.gson.annotations.SerializedName;

import java.util.Date;

public class ChecklistItem {
    @SerializedName("_id")
    private String id;
    private String title;
    private String checklistId;
    private String cardId;
    private String userId;
    private int sort;
    private Date createdAt;
    private Date modifiedAt;
    private boolean isFinished;

    public String getId() {
        return id;
    }

    public String getTitle() {
        return title;
    }

    public String getChecklistId() {
        return checklistId;
    }

    public String getCardId() {
        return cardId;
    }

    public String getUserId() {
        return userId;
    }

    public int getSort() {
        return sort;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Date getModifiedAt() {
        return modifiedAt;
    }

    public boolean isFinished() {
        return isFinished;
    }

    @Override
    public String toString() {
        return "ChecklistItem{" +
                "id='" + id + '\'' +
                ", title='" + title + '\'' +
                ", checklistId='" + checklistId + '\'' +
                ", cardId='" + cardId + '\'' +
                ", userId='" + userId + '\'' +
                ", sort=" + sort +
                ", createdAt=" + createdAt +
                ", modifiedAt=" + modifiedAt +
                ", isFinished=" + isFinished +
                '}';
    }
}

